<?php
function kosmo_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'kosmo_content_width', 980 );
}
add_action( 'after_setup_theme', 'kosmo_content_width', 0 );


if( ! function_exists( 'kosmo_theme_setup' ) ) {


	function kosmo_theme_setup() {

		load_theme_textdomain( 'kosmo', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );
       // Add title tag 
		add_theme_support( 'title-tag' );


		// Add default logo support		
        add_theme_support( 'custom-logo');

        add_theme_support('post-thumbnails');
        add_image_size('kosmo-page-thumbnail',738,423, true);
        add_image_size('kosmo-about-thumbnail',370,225, true);
        add_image_size('kosmo-blog-front-thumbnail',370,225, true);
        add_image_size('kosmo-projects-thumbnail',500,400, true);      
        
         
         // Add theme support for Semantic Markup
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption'
		) ); 

		$defaults = array(
			'default-image'          => get_template_directory_uri() .'/assets/images/page-title-bg.jpg',
			'width'                  => 1920,
			'height'                 => 540,
			'uploads'                => true,
			'default-text-color'     => "fff",
			'wp-head-callback'       => 'kosmo_text_color',
			);
		add_theme_support( 'custom-header', $defaults );

		// Menus
		 register_nav_menus(array(
       'primary' => esc_html__('Primary Menu', 'kosmo'),
       
       ));
		// add excerpt support for pages
        add_post_type_support( 'page', 'excerpt' );

        if ( is_singular() && comments_open() ) {
			wp_enqueue_script( 'comment-reply' );
        }
		  // Add theme support for selective refresh for widgets.
        add_theme_support( 'customize-selective-refresh-widgets' );	
		

    	// To use additional css
 	    add_editor_style( 'assets/css/editor-style.css' );
		//About Theme		
		if ( is_admin() ) {
			require( get_template_directory() . '/include/customizer-screen.php');
		}
		 
	}
	add_action( 'after_setup_theme', 'kosmo_theme_setup' );
}
